0

I've been exceedingly unhappy with various themes on my site, and I'm experimenting with rebuilding from the ground up starting with Panopoly. Seems that this route will be easier to migrate to Drupal 8 someday. So I'm hoping someone else here is using D7 with Panopoly and CiviCRM and can help me out.

Starting with the Panopoly distribution, which includes Drupal 7 core, I installed CiviCRM and made a mistake, switching on the modules before going to the install.php page. Switched them off, went to the install page, it was blank. Checked the error.log, manhandled various permissions in var/www/html, no help. Turned off the three demo apps since a directory labelled /app/ is in the error, still no help.

Help? Error log below.

[Thu Mar 26 02:54:07.202681 2020] [php7:error] [pid 6842] [client 74.109.30.36:63232] PHP Fatal error: require_once(): Failed opening required 'profiles/panopoly/modules/contrib/apps/theme/apps.theme.inc' (include_path='.:/var/www/html/panopoly/sites/all/modules/civicrm:/var/www/html/panopoly/sites/all/modules/civicrm/packages:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/tecnickcom:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/phpseclib/phpseclib/phpseclib:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/pear_exception:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/auth_sasl:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/log:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/console_getopt:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/pear-core-minimal/src:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/mail:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/net_socket:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/net_smtp:/var/www/html/panopoly/sites/all/modules/civicrm/vendor/pear/valid in /var/www/html/panopoly/profiles/panopoly/modules/contrib/apps/apps.module on line 20

  • The alternative is to go back to my working Civi D7 install and graft Panopoly onto it. Problem there is that since I'm running D7 and D8 on the same server I've had drush problems, and getting Panopoly grafted manually is no small task—after I installed the Panopoly modules it complained about 40 others it still needed. – Jeff Porten Mar 26 at 7:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.